POST /api/v1/envelopes/initiate-by-template — Initiate Envelope by Template
Initiate a signature envelope using a predefined template. The template defines the document structure, signing fields, and signer roles. Returns an envelope ID.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: multipart/form-data
- WebhookId (GUID, optional)
- Id For Webhook Register On Sadq
- Password (string, optional)
- Password For File
- ReferenceNumber (string, optional)
- Unique String Number You Will Provided From Your Side
- AllowUserToDownloadDocument (boolean, optional)
- For Allow User TO Download File
- templateId (GUID, optional)
- The unique identifier of the template to be used for generating the envelope.
{
"templateId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}Responses
HTTP 200 — Envelope created from template
{
"data": {
"documentId": "31e9cca5-3d6b-4493-a16e-4948174c6a3f",
"envelopeId": "8cf497f7-8c09-40d0-8dd1-b6593f6abc06",
"destinations": [],
"referenceNumber": "Req-A-2026-326",
"creatorFields": null
},
"errorCode": 0,
"message": "Success",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 404 — Template not found
{
"data": null,
"errorCode": 404,
"message": "Template not found",
"returnUrl": null,
"stateValidationErrors": null,
"signature": ""
}